<?php
session_start();
include "verifica.php";
include "validaciones.php";


//@$xnombres=$_REQUEST['xnombres'];
//@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];

			
@$xapellido_nombre=$_REQUEST['xapellido_nombre'];			
@$xruc_dni=$_REQUEST['xruc_dni'];			
@$xlicencia_conducir=$_REQUEST['xlicencia_conducir'];				
@$xdireccion=$_REQUEST['xdireccion'];	
@$xtelefono=$_REQUEST['xtelefono'];		
@$xempresa_transporte=$_REQUEST['xempresa_transporte'];				

//@$xplaca=$_REQUEST['xplaca'];
//@$xmarca_modelo=$_REQUEST['xmarca_modelo'];
//@$xcertificado_inscripcion=$_REQUEST['xcertificado_inscripcion'];
//@$xnombres=$_REQUEST['xnombres'];
//@$xlicencia_conducir=$_REQUEST['xlicencia_conducir'];


@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";


$trans = new Transportistas;

switch($xaccion){
	
	case "adicionar": 
		if($trans->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Transportista creado satisfactoriamente.")
			parent.location.href="../transportistas.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($trans->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Transportista modificado satisfactoriamente.")
			parent.location.href="../transportistas.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":	
		//if($vali->marcas($conexion,$xaccion,$xid)==1){
		if($vali->transportistas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($trans->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Transportista eliminado satisfactoriamente.")
				parent.location.href="../transportistas.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($trans->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Transportistas{

	//Adiciona registro
	function adicionar($conexion){
		//global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xplaca, $xmarca_modelo, $xcertificado_inscripcion, $xnombres, $xlicencia_conducir, $xempresa_transporte;		
		global $xaccion, $xid, $xusuario_sesion, $xapellido_nombre, $xruc_dni, $xlicencia_conducir, $xdireccion, $xtelefono, $xempresa_transporte;				

		$r = mysqli_query($conexion,"insert into transportistas (tra_apellido_nombre, 
												  tra_ruc_dni,
												  tra_direccion,
												  tra_telefono,
												  tra_licencia_conducir,
												  tra_usu_crea,
												  traemp_codi_fk)
										values ('$xapellido_nombre', 
												'$xruc_dni',
												'$xdireccion',
												'$xtelefono',
												'$xlicencia_conducir',
												'$xusuario_sesion',
												'$xempresa_transporte');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		//global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xplaca, $xmarca_modelo, $xcertificado_inscripcion, $xnombres, $xlicencia_conducir, $xempresa_transporte;				
		global $xaccion, $xid, $xusuario_sesion, $xapellido_nombre, $xruc_dni, $xlicencia_conducir, $xdireccion, $xtelefono, $xempresa_transporte;	

		$r = mysqli_query($conexion,"update transportistas set tra_apellido_nombre = '$xapellido_nombre', 
												  tra_ruc_dni = '$xruc_dni',
												  tra_direccion = '$xdireccion',
												  tra_telefono = '$xtelefono',
												  tra_licencia_conducir = '$xlicencia_conducir',
												  tra_usu_modifica = '$xusuario_sesion',
												  traemp_codi_fk = '$xempresa_transporte' 
										where tra_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from transportistas where tra_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;	
		
			?>			
			<script language="javascript">
			alert("estado.");
			</script>			
			<?php			

		$r = mysqli_query($conexion,"update transportistas set tra_estado = '$xestado',
												 tra_usu_activa = '$xusuario_sesion' 
											where tra_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
